Mattermost, Inc.

[SOLVED] Failed to upgrade websocket connection

I am using the production docker from the github page and working in a native android client based off the github version to connect to it.

I am trying to use @GET("api/v3/users/websocket")

but I am getting this error:

Bad Request {"id":"api.web_socket.connect.upgrade.app_error", "message":"Failed to upgrade websocket connection", "detailed_error":"", "request_id":"4n5kaj8pmbge8nkctcw15zhorc", "status_code":500, "is_oauth":false}

What does this mean and how do I fix it?

Ok so retrofit doesn’t support websockets is why.